> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/grid-trading/stop-recurring-order/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Stop recurring buy order POST https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo Content-Type: application/json A maximum of 10 orders can be stopped per request. Reference: https://okx-demo.ferndocs.com/api/api-reference/grid-trading/stop-recurring-order ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `algoId` (string, required) — Algo ID ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradingBotRecurringStopOrderAlgoPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradingBotRecurringStopOrderAlgoPostResponsesContentApplicationJsonSchemaDataItems - `algoId` (string, optional) — Algo ID - `algoClOrdId` (string, optional) — Client-supplied Algo ID - `sCode` (string, optional) — The code of the event execution result, 0 means success - `sMsg` (string, optional) — Rejection message if the request is unsuccessful ## Examples **Request** ```json { "algoId": "560472804960100352" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "algoId": "1839309556514557952", "algoClOrdId": "", "sCode": "0", "sMsg": "", "tag": "" } ] } ``` **SDK Code** ```python gridTrading_stopRecurringOrder_example import requests url = "https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo" payload = { "algoId": "560472804960100352" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript gridTrading_stopRecurringOrder_example const url = 'https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"algoId":"560472804960100352"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go gridTrading_stopRecurringOrder_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo" payload := strings.NewReader("{\n \"algoId\": \"560472804960100352\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby gridTrading_stopRecurringOrder_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"algoId\": \"560472804960100352\"\n}" response = http.request(request) puts response.read_body ``` ```java gridTrading_stopRecurringOrder_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"algoId\": \"560472804960100352\"\n}") .asString(); ``` ```php gridTrading_stopRecurringOrder_example request('POST', 'https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo', [ 'body' => '{ "algoId": "560472804960100352" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp gridTrading_stopRecurringOrder_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"algoId\": \"560472804960100352\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift gridTrading_stopRecurringOrder_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = ["algoId": "560472804960100352"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/tradingBot/recurring/stop-order-algo")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```